/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package MatlResMgmt.MaterialsRequest;

import java.util.Vector;
import java.util.Date;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class MaterialsRequest {
    public void makeMaterialsRequest() {
    }

    public void addDetail() {
    }

    public BigDecimal estimateCost() {
        return new BigDecimal(0);
    }

    public boolean areQtysAvailable() {
        return false;
    }

    public void complete() {
    }

    public void cancel() {
    }

    public boolean mi_isFulfilled() {
        return false;
    }

    public BigDecimal mi_estimatePercentComplete() {
        return new BigDecimal(0);
    }

    public boolean mi_isRFQd() {
        return false;
    }

    public void mi_assessRequestToDelivery() {
    }

    public static Vector listMaterialsRequests() {
        return new Vector();
    }

    public static int calcAvgMaterialsRequest() {
        return 0;
    }

    private String number;
    private Date date;
    private int priority;
    private BigDecimal costEstimated;

    /**
     * @shapeType AggregationLink
     * @supplierCardinality 1..*
     * @clientCardinality 1
     */
    private MaterialsRequestDetail lnkUnnamed;
    private int status;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private MatlResMgmt.RFQ.RFQ lnkUnnamed1;

    /** @supplierCardinality 1 */
    private IMakeMaterialsRequest lnkUnnamed3;

    /**
     * @supplierRole preferred
     * @supplierCardinality 0..*
     * @clientCardinality 0..*
     */
    private RelMgmt.PartyRole.Supplier lnkUnnamed4;
}


